package com.autentia.tutoriales.spring.beanshell;

import java.util.List;
import java.util.ArrayList;

/**
 * @author Carlos García. Autentia.
 * @see http://www.mobiletest.es
 */
public class CarritoCompra {
	private List<Producto>	productos;
	private CalculadorCoste calculador;
	
	/**
	 * Constructor por defecto
	 */
	public CarritoCompra(){
		super();
		this.productos = new ArrayList<Producto>();
	}
	
	/**
	 * Agrega un producto al carrito de compra
	 * @param producto Producto a agregar
	 */
	public void addProduct(Producto producto){
		this.productos.add(producto);
	}

	/**
	 * Establece el calculador de costes.
	 * @param calculador Calculador del coste de compra del pedido.
	 */
	public void setCalculador(CalculadorCoste calculador) {
		this.calculador = calculador;
	}
	
	/**
	 * @return Devuelve el coste del pedido
	 */
	public double getPrecio() {
		return calculador.getPrecio(this.productos);
	}
}
